from django.core.urlresolvers import reverse_lazy

from ldt.ldt_utils.views.embed.meta import ConfigView, IframeView


class ConfigViewV1(ConfigView):
    template_name = "ldt/ldt_utils/embed/v1/mdplayer_config.html"
    iframe_base_url = reverse_lazy("embed_iframe_v1", urlconf="ldtplatform.urls")
    
class IframeViewV1(IframeView):
    template_name = "ldt/ldt_utils/embed/v1/iframe.html"
    iframe_base_url = reverse_lazy("embed_iframe_v1", urlconf="ldtplatform.urls")